## org.omg.GIOP
Class SystemExceptionReplyBodyHelper

    java.lang.Object
      |
      +--org.omg.GIOP.SystemExceptionReplyBodyHelper

public class SystemExceptionReplyBodyHelper
extends java.lang.Object

Helper class for : SystemExceptionReplyBody

Author:
  OpenORB Compiler

Constructor Summary
`SystemExceptionReplyBodyHelper()`

Method Summary
`static SystemExceptionReplyBody` `extract(Any a)` Extract SystemExceptionReplyBody from an any
`static java.lang.String` `id()` Return the SystemExceptionReplyBody IDL ID
`static void` `insert(Any a, SystemExceptionReplyBody t)` Insert SystemExceptionReplyBody into an any
`static SystemExceptionReplyBody` `read(InputStream istream)` Read SystemExceptionReplyBody from a marshalled stream
`static TypeCode` `type()` Return the SystemExceptionReplyBody TypeCode
`static void` `write(OutputStream ostream, SystemExceptionReplyBody value)` Write SystemExceptionReplyBody into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemExceptionReplyBodyHelper

    public SystemExceptionReplyBodyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              SystemExceptionReplyBody t)

  Insert SystemExceptionReplyBody into an any
  Parameters:
    `a` - an any
    `t` - SystemExceptionReplyBody value

### extract

    public static SystemExceptionReplyBody extract(Any a)

  Extract SystemExceptionReplyBody from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted SystemExceptionReplyBody value

### type

    public static TypeCode type()

  Return the SystemExceptionReplyBody TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the SystemExceptionReplyBody IDL ID
  Returns:
    an ID

### read

    public static SystemExceptionReplyBody read(InputStream istream)

  Read SystemExceptionReplyBody from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed SystemExceptionReplyBody value

### write

    public static void write(OutputStream ostream,
                             SystemExceptionReplyBody value)

  Write SystemExceptionReplyBody into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - SystemExceptionReplyBody value